### Property

# Soup WebsocketConnection:protocol

since: 3.0

#### Declaration

    property protocol: utf8 [ read, write, construct-only ]

#### Description [src]

The chosen protocol, or `NULL` if a protocol was not agreed upon.

Type: | `gchar*`
Available since: | 3.0

Default value | NULL
Getter method | `soup_websocket_connection_get_protocol()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes